Summary       : A bug tracking system developed by mozilla.org.
Name          : bugzilla
Version       : 2.17.1
Release       : 2
License       : MPL
Group         : Development/Tools
Source        : ftp://ftp.mozilla.org/pub/webtools/bugzilla-%{version}.tar.gz
URL           : http://www.mozilla.org/bugs/
Patch0        : bugzilla-perlpaths.patch
Patch1        : bugzilla-cclist.patch
BuildRoot     : %{_tmppath}/%{name}-%{version}
Requires      : perl-TimeDate
Requires      : perl-Chart
Requires      : perl-GD >= 1.20
Requires      : perl-DBD-MySQL >= 1.2209
Requires      : mysql >= 3.22.5
Requires      : mysql-server
Requires      : perl-DBI >= 1.13
Requires      : perl >= 5.005, apache
Requires      : perl(CGI) >= 2.88
Requires      : perl(AppConfig) >= 1.52
Requires      : perl(Data::Dumper), perl(Date::Parse)
Requires      : perl(Template) >= 2.07
Requires      : perl(Text::Wrap) >= 2001.0131
Requires      : perl(File::Spec) >= 0.82
#Requires      : perl(XML::Parser)
Requires      : perl-XML-Parser
Prefix        : /var/www/html/bugzilla
BuildArch     : noarch

%description
Bugzilla is the bug tracking system developed by mozilla.org.
Mozilla.org is a group within Netscape that acts as a clearinghouse
for Netscape source code. Some modifications have been made for
use with Red Hat, Inc.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{Bugzilla,data,shadow,template/en/custom}
install *.cgi $RPM_BUILD_ROOT/%{prefix}
install *.pl $RPM_BUILD_ROOT/%{prefix}
install -m755 processmail $RPM_BUILD_ROOT/%{prefix}
install -m644 *.jpg $RPM_BUILD_ROOT/%{prefix}
install -m644 *.pm $RPM_BUILD_ROOT/%{prefix}
install -m644 *.html $RPM_BUILD_ROOT/%{prefix}
install -m644 *.js $RPM_BUILD_ROOT/%{prefix}
install -m644 Bugzilla/*.pm $RPM_BUILD_ROOT/%{prefix}/Bugzilla
cp -a template/en/default $RPM_BUILD_ROOT/%{prefix}/template/en
find $RPM_BUILD_ROOT/%{prefix}/template -depth -name CVS -type d -exec rm -rf '{}' \;
chmod 1777 $RPM_BUILD_ROOT/%{prefix}/shadow
chmod 1777 $RPM_BUILD_ROOT/%{prefix}/data

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%doc docs/html docs/images docs/txt
%doc docs/rel_notes.txt
%doc docs/sgml
%dir %{prefix}/
%{prefix}/*

%changelog
* Fri Dec 20 2002 Aleksey Nogin <ayn2@cornell.edu>
- Updated for 2.17.1

* Fri Nov  2 2001 Aleksey Nogin <ayn2@cornell.edu>
- added Default CC list patch - http://bugzilla.mozilla.org/attachment.cgi?id=32548&action=view

* Wed Sep  5 2001 Tim Powers <timp@redhat.com>
- add requirement for perl-DBD-MySQL

* Thu Aug 30 2001 Tim Powers <timp@redhat.com>
- updated to 2.14 for security errata
- added requires for perl-GD

* Wed May 30 2001 Tim Powers <timp@redhat.com>
- forgot to include *.js files. Fixed. (#42795)

* Mon Apr 30 2001 Tim Powers <timp@redhat.com>
- updated to 2.12, updated perlpath patch
- added suggested fixes from bug 19497
- Security fixes 38411
- Note: This is not the Red Hat version of Bugzilla. You can grab that at
  ftp://people.redhat.com/dkl

* Mon Aug 14 2000 Tim Powers <timp@redhat.com>
- fixed bug #16147, dependancy problems.
- patched all the files which looked for perl in /usr/bonsaitools/bin

* Thu Jul 27 2000 Tim Powers <timp@redhat.com>
- fixed problem with /usr/bonsai/perl not existing.

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools

* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging
